Bug 20751 - transition property none can assert
Summary: transition property none can assert
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Mac OS X 10.5
: P2 Normal
Assignee: Dean Jackson
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2008-09-09 14:07 PDT by Dean Jackson
Modified: 2008-09-11 14:59 PDT (History)
1 user (show)

See Also:


Attachments
Patch plus testcase (4.33 KB, patch)
2008-09-09 14:10 PDT, Dean Jackson
mitz: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Jackson 2008-09-09 14:07:42 PDT
A transition property set to none can assert in some situations.
Comment 1 Dean Jackson 2008-09-09 14:10:01 PDT
Created attachment 23303 [details]
Patch plus testcase
Comment 2 Dean Jackson 2008-09-09 16:44:21 PDT
<rdar://problem/6207522>
Comment 3 mitz 2008-09-10 19:19:29 PDT
Comment on attachment 23303 [details]
Patch plus testcase

\ No newline at end of file

Please add a newline.

r=me
Comment 4 Dean Jackson 2008-09-11 14:59:42 PDT
Committed r36341
	M	WebCore/ChangeLog
	M	WebCore/page/animation/CompositeAnimation.cpp
	M	LayoutTests/ChangeLog
	A	LayoutTests/transitions/transition-end-event-set-none-expected.txt
	A	LayoutTests/transitions/transition-end-event-set-none.html

with newline added